Loading...
Searching...
No Matches
GeisGestureFuncs Struct Reference
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription

The set of callback functions invoked for various gesture-related events. More...

`#include <geis.h>`

## Data Fields

GeisGestureCallback | added
| Invoked when a new gesture type has been defined.
GeisGestureCallback | removed
| Invoked when a defined gesture type is no longer available.
GeisGestureCallback | start
| Invoked when a new gesture starts.
GeisGestureCallback | update
| Invoked when a gesture has changed values.
GeisGestureCallback | finish
| Invoked when a gesture finishes.

## Detailed Description

The set of callback functions invoked for various gesture-related events.

An application must define callback functions to handle the various gesture events. These callbacks are provided in a table passed to geis_subscribe for each window on which gesture events may occur.

The documentation for this struct was generated from the following file:

- /build/geis-Y0ruej/geis-2.2.17+16.04.20160126/include/geis/geis.h